Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard
Class StandardModuleActivator

    java.lang.Object
      biouml.standard.StandardModuleActivator

All Implemented Interfaces:
  ModuleActivator

public class StandardModuleActivator
extends java.lang.Object
implements ModuleActivator

Field Summary

Fields inherited from interface biouml.model.util.ModuleActivator
`CREATE_DATA_COLLECTION_AFTER, CREATE_DATA_COLLECTION_BEFORE, CREATE_DATA_COLLECTION_NEVER`

Constructor Summary
`StandardModuleActivator()`

Method Summary
`Module` | `createModule(javax.swing.JDialog parentWindow, Repository parent, java.util.jar.JarFile moduleFile, java.lang.String classpath, org.apache.log4j.Category cat, CreateDataCollectionController controller)` Creates the module with initialised internal structure from moduleFile .
`int` | `whenCreateDataCollection()` Indicates when module data collection should be created by `ModulePackager`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardModuleActivator

    public StandardModuleActivator()

Method Detail

### whenCreateDataCollection

    public int whenCreateDataCollection()

  Indicates when module data collection should be created by `ModulePackager`.

  Specified by:
    `whenCreateDataCollection` in interface `ModuleActivator`

### createModule

    public Module createModule(javax.swing.JDialog parentWindow,
                               Repository parent,
                               java.util.jar.JarFile moduleFile,
                               java.lang.String classpath,
                               org.apache.log4j.Category cat,
                               CreateDataCollectionController controller)
                        throws java.lang.Exception

  Creates the module with initialised internal structure from moduleFile .

  Specified by:
    `createModule` in interface `ModuleActivator`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.